Subject: Re: 6MAN Adoption call on draft-gont-6man-deprecate-eui64-based-addresses-00

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 05 Dec 2013 11:02:19 +0100

Hello,

I do not oppose of adoption.

However, I wonder about how are link-local addresses considered by this
depreciation?

Reading through the draft and its referred drafts, I think it mainly
considers the SLAAC RA-based formation of Global addresses containing an
IID which may contain an EUI-64 in clear.

However, it does not mention link-local addresses.  These are not formed
by using SLAAC's RA, but by using RFC2464 IPv6-over-Ethernet.  The
uniqueness of the ll address on a link is guaranteed by the EUI-64
uniqueness followed by DAD.

If the EUI-64 is not used for forming an Interface ID for link-local
addresses, then the uniqueness guarantees may be just a little bit less
strong, only relying on DAD.

How will the ll address be formed if not based on EUI-64?

Otherwise, are there less privacy risks for an ll address than for a
global address?

Alex

Le 19/11/2013 11:07, Ole Troan a écrit :
> All,
>
> There was strong support to adopt this draft at the working group
> meeting in Vancouver. This is an adoption call to confirm the result
> of the hum at the meeting.
>
> Please provide a view with reasons as to whether the WG should adopt
> this or not.
>
> This message starts a one week 6MAN Working Group call on adopting:
>
> Title           : Deprecating EUI-64 Based IPv6 Addresses Author(s) :
> F. Gont, A. Cooper, D. Thaler, W. Liu Filename    :
> draft-gont-6man-deprecate-eui64-based-addresses-00 Pages        : 5
> Date          : 2013-10-22
>
> http://tools.ietf.org/html/draft-gont-6man-deprecate-eui64-based-addresses-00
>
>
>
The call ends on November 26th, 2013.
>
> Regards,
>
> Bob Hinden & Ole Trøan
>
>
>
> --------------------------------------------------------------------
>  IETF IPv6 working group mailing list [email-masked] Administrative
> Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>